<Directory /usr/share/dokuwiki/>
  Options			+FollowSymLinks
  AllowOverride			All
  Require			all granted

  <IfModule mod_rewrite.c>
    RewriteEngine		On
    RewriteBase			//wiki
    RewriteRule			^lib			-				[L]
    RewriteRule			^doku.php		-				[L]
    RewriteRule			^feed.php		-				[L]
    RewriteRule			^_media/(.*)		lib/exe/fetch.php?media=$1	[QSA,L]
    RewriteRule			^_detail/(.*)		lib/exe/detail.php?media=$1	[QSA,L]
    RewriteRule			^_export/([^/]+)/(.*)	doku.php?do=export_$1&id=$2	[QSA,L]
    RewriteRule			^$			doku.php			[L]
    RewriteRule			(.*)			doku.php?id=$1			[QSA,L]
  </IfModule>
</Directory>

<Directory /usr/share/dokuwiki/bin/>
  Require			all denied
</Directory>

<Directory /usr/share/fusiondirectory/html/>
  Options			FollowSymLinks
  AllowOverride			None
  Require			all granted

  AddType			application/wasm	.wasm

  IncludeOptional		/etc/fusiondirectory/fusiondirectory.secrets
</Directory> 

<Directory /usr/share/javascript/>
  Options			FollowSymLinks
  AllowOverride			None
  Require			all granted
</Directory>

<Directory /usr/share/phpldapadmin/htdocs/>
  Options			FollowSymlinks
  AllowOverride			None
  Require			all granted
</Directory>

<VirtualHost 5.101.171.215:80 [2a01:a500:2981:1::d7]:80>
  ServerName		core.slackware.uk.net

  SetEnvIf		REQUEST_URI	^/robots\.txt$		no_log
  SetEnvIf		REQUEST_URI	^/favicon\.ico$		no_log
  SetEnvIf		REQUEST_URI	^/\.well-known/.*$	no_log

  RedirectMatch		403		^/(?!(\.well-known|httpd-errordocs)/)(.*)
</VirtualHost>

<IfModule ssl_module>
  <VirtualHost 5.101.171.215:25443 [2a01:a500:2981:1::d7]:25443>
    ServerName			core.slackware.uk.net

    SSLEngine			On
    SSLCertificateFile		/etc/certificates/core.slackware.uk.net_cert.pem
    SSLCertificateKeyFile	/etc/certificates/core.slackware.uk.net_key.pem
    SSLCertificateChainFile	/etc/certificates/core.slackware.uk.net_chain.pem

    SetEnvIf			REQUEST_URI	^/robots\.txt$		no_log
    SetEnvIf			REQUEST_URI	^/favicon\.ico$		no_log

    ScriptAlias			/cgi-bin/	/data/sites/core.slackware.uk.net/cgi-bin/

    DocumentRoot		/data/sites/core.slackware.uk.net/html

    Alias			/fd				/usr/share/fusiondirectory/html
    Alias			/javascript			/usr/share/javascript
    Alias			/pla				/usr/share/phpldapadmin/htdocs
    Alias			/wiki				/usr/share/dokuwiki/
    AliasMatch			^/wiki/sites/[^/]+$		/usr/share/dokuwiki/
    AliasMatch			^/wiki/sites/[^/]+/(.*)$	/usr/share/dokuwiki/$1

    <Proxy *>
      Require			all granted
    </Proxy>
    # Dot NOT add backslashes to the end of the urls.
    ProxyPass			/prometheus	http://127.0.0.1:9090
    ProxyPassReverse		/prometheus	http://127.0.0.1:9090
    ProxyPass			/ts		http://127.0.0.1:9200
    ProxyPassReverse		/ts		http://127.0.0.1:9200
  </VirtualHost>
</IfModule>
